package com.jxml.quick.util.qdml2qjml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;
import com.jxml.quick.recycle.*;
import com.jxml.quick.engine.*;

public class QCBean extends OCMpeerSupportLite
{
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QMBean dm=(QMBean)dataModel;
		QDML2QJML.SubQdml2Qjml c=(QDML2QJML.SubQdml2Qjml)context;
		QMTargetClass tc=new QMTargetClass();
		c.currentCoinLabel=dm.getLabel();
		tc.text=c.tagToClass(dm.getLabel());
		dm.target=tc;
		doCvt(dm.attributes,null);
		doCvt(dm.elements,null);		
	}
}
